package com.philisense.www.mapper;


import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;


@Mapper
public interface ProMenuMapper extends BaseCRUDMapper{

    public List<Map<String, Object>> getProMenuTreeByParentid(Map<String, Object> map);

    public List<Map<String, Object>> getProMenuTreeByLevelCode(Map<String, Object> map);

    public List<Map<String, Object>> getAllForProMenuByUserId(Map<String, Object> map);

    List<Map<String, Object>> getProMenuTreeByParentidByUserId(Map<String, Object> map);

    List<Map<String, Object>> getProMenuTreeByParentidByUserIdAndText(Map<String, Object> map);

    List<Map<String, Object>> getTreeParentByTree(List<Map<String, Object>> list);
}
